xserver: Branch 'master' - 8 commits

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Wed Sep 7 17:10:54 UTC 2022


 .gitlab-ci.yml                       |    9 ++++-----
 .gitlab-ci/build-and-test.sh         |   32 ++++++++++++++++++++++++++++++++
 .gitlab-ci/debian-install.sh         |   12 +++++++++---
 test/meson.build                     |    4 ++--
 test/scripts/xephyr-glamor-piglit.sh |    2 ++
 test/scripts/xinit-piglit-session.sh |    2 ++
 test/scripts/xwayland-piglit.sh      |    2 ++
 7 files changed, 53 insertions(+), 10 deletions(-)

New commits:
commit 421e066ec4ff531e510d58bdf6f18d228a2ef440
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 11:26:29 2022 +0200

    ci: Check that all expected piglit results are there
    
    Without these, the build jobs would spuriously pass if some of the
    expected piglit tests didn't run at all.
    
    v2:
    * Use local variables instead of starting their names with underscores
      (Peter Hutterer)

diff --git a/.gitlab-ci/build-and-test.sh b/.gitlab-ci/build-and-test.sh
index 5caf3b129..6631f9371 100755
--- a/.gitlab-ci/build-and-test.sh
+++ b/.gitlab-ci/build-and-test.sh
@@ -3,9 +3,30 @@
 set -e
 set -o xtrace
 
+check_piglit_results ()
+{
+    local EXPECTED_RESULTS=build/test/piglit-results/$1
+    local DEPENDENCY=build/$2
+
+    if ! test -e $DEPENDENCY; then
+	return
+    fi
+
+    if test -e $EXPECTED_RESULTS; then
+	return
+    fi
+
+    echo Expected $EXPECTED_RESULTS does not exist
+    exit 1
+}
+
 meson -Dc_args="-fno-common" -Dprefix=/usr -Dxephyr=true -Dwerror=true $MESON_EXTRA_OPTIONS build/
 
 ninja -j${FDO_CI_CONCURRENT:-4} -C build/ dist
 
 export PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts
 ninja -j${FDO_CI_CONCURRENT:-4} -C build/ test
+
+check_piglit_results xephyr-glamor hw/kdrive/ephyr/Xephyr.p/ephyr_glamor.c.o
+check_piglit_results xvfb hw/vfb/Xvfb
+check_piglit_results xwayland hw/xwayland/Xwayland
commit 67bca9963772e85f25307b210e4446fac2625df0
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 11:13:20 2022 +0200

    ci: Move build job script to a separate file
    
    Will make it easier to do more complex shell stuff.
    
    No functional change intended.
    
    v2:
    * Use /bin/bash instead of /bin/sh (Peter Hutterer)
    * Export environment variables on a separate line (Peter)
    * Use "set" command instead of shell command line arguments, for
      consistency with debian-install.sh.

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 7e436b234..d1b584a57 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -76,9 +76,7 @@ debian-bullseye:
 meson:
     extends: .common-build-and-test
     script:
-        - meson -Dc_args="-fno-common" -Dprefix=/usr -Dxephyr=true -Dwerror=true $MESON_EXTRA_OPTIONS build/
-        - ninja -j${FDO_CI_CONCURRENT:-4} -C build/ dist
-        - PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts ninja -j${FDO_CI_CONCURRENT:-4} -C build/ test
+        - .gitlab-ci/build-and-test.sh
         - .gitlab-ci/manpages-check
 
 meson-noglamor:
diff --git a/.gitlab-ci/build-and-test.sh b/.gitlab-ci/build-and-test.sh
new file mode 100755
index 000000000..5caf3b129
--- /dev/null
+++ b/.gitlab-ci/build-and-test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+meson -Dc_args="-fno-common" -Dprefix=/usr -Dxephyr=true -Dwerror=true $MESON_EXTRA_OPTIONS build/
+
+ninja -j${FDO_CI_CONCURRENT:-4} -C build/ dist
+
+export PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts
+ninja -j${FDO_CI_CONCURRENT:-4} -C build/ test
commit 3d7df9b452f31775d66fe1eaca503a2fb6b1a163
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 12:36:25 2022 +0200

    ci: Use fixed Git commits for piglit, rendercheck & xts
    
    Without this, building a new docker image may pull in new changes from
    those repositories, which may affect the CI results.

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 6dbda9889..7e436b234 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -19,7 +19,7 @@ variables:
     FDO_UPSTREAM_REPO: xorg/xserver
     FDO_DISTRIBUTION_VERSION: bullseye-slim
     FDO_DISTRIBUTION_EXEC: 'env FDO_CI_CONCURRENT=${FDO_CI_CONCURRENT} bash .gitlab-ci/debian-install.sh'
-    FDO_DISTRIBUTION_TAG: "2022-09-02-weston"
+    FDO_DISTRIBUTION_TAG: "2022-09-02-fixed-commits"
 
 include:
   - project: 'freedesktop/ci-templates'
diff --git a/.gitlab-ci/debian-install.sh b/.gitlab-ci/debian-install.sh
index e30caf845..58b959384 100644
--- a/.gitlab-ci/debian-install.sh
+++ b/.gitlab-ci/debian-install.sh
@@ -145,18 +145,23 @@ ninja -C _build -j${FDO_CI_CONCURRENT:-4} install
 cd ..
 rm -rf libdecor
 
-git clone https://gitlab.freedesktop.org/mesa/piglit.git --depth 1
+git clone https://gitlab.freedesktop.org/mesa/piglit.git
+cd piglit
+git checkout 265896c86f90cb72e8f218ba6a3617fca8b9a1e3
+cd ..
 
-git clone https://gitlab.freedesktop.org/xorg/test/xts --depth 1
+git clone https://gitlab.freedesktop.org/xorg/test/xts
 cd xts
+git checkout dbbfa96c036e596346147081cbceda136e7c86c1
 # Using -fcommon until we get a proper fix into xtst.
 # See discussion at https://gitlab.freedesktop.org/xorg/xserver/-/merge_requests/913
 CFLAGS=-fcommon ./autogen.sh
 xvfb-run make -j${FDO_CI_CONCURRENT:-4}
 cd ..
 
-git clone https://gitlab.freedesktop.org/xorg/test/rendercheck --depth 1
+git clone https://gitlab.freedesktop.org/xorg/test/rendercheck
 cd rendercheck
+git checkout 67a820621b1475ebfcf3d4f9d7f03a5fc3b9769a
 meson build
 ninja -j${FDO_CI_CONCURRENT:-4} -C build install
 cd ..
commit c637ca66eccfd2cd810d454d5592e4d93afacd8f
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 11:29:28 2022 +0200

    ci: Install weston from Debian
    
    The commit below was meant to do this, but it slipped through the
    cracks.
    
    Fixes: e2dcf31059a8 ("CI: Update gitlab CI to use debian bullseye")

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 48513be10..6dbda9889 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -19,7 +19,7 @@ variables:
     FDO_UPSTREAM_REPO: xorg/xserver
     FDO_DISTRIBUTION_VERSION: bullseye-slim
     FDO_DISTRIBUTION_EXEC: 'env FDO_CI_CONCURRENT=${FDO_CI_CONCURRENT} bash .gitlab-ci/debian-install.sh'
-    FDO_DISTRIBUTION_TAG: "2022-08-11"
+    FDO_DISTRIBUTION_TAG: "2022-09-02-weston"
 
 include:
   - project: 'freedesktop/ci-templates'
diff --git a/.gitlab-ci/debian-install.sh b/.gitlab-ci/debian-install.sh
index 8913e17ea..e30caf845 100644
--- a/.gitlab-ci/debian-install.sh
+++ b/.gitlab-ci/debian-install.sh
@@ -102,6 +102,7 @@ apt-get install -y \
 	python3-mako \
 	python3-numpy \
 	python3-six \
+	weston \
 	x11-xkb-utils \
 	xfonts-utils \
 	xkb-data \
commit 861f7e9d9231eb27cadf474bfb81559d3fb21bd4
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 13:00:56 2022 +0200

    test: Exclude two XTS xsetfontpath tests
    
    They start failing after rebuilding the docker image. It's not clear
    why, but looks like it's triggered by changes in Debian bullseye.

diff --git a/test/scripts/xephyr-glamor-piglit.sh b/test/scripts/xephyr-glamor-piglit.sh
index 0458f271b..62c17701f 100755
--- a/test/scripts/xephyr-glamor-piglit.sh
+++ b/test/scripts/xephyr-glamor-piglit.sh
@@ -22,6 +22,8 @@ PIGLIT_ARGS="$PIGLIT_ARGS -x xcleararea at 7"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xclearwindow at 4"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xclearwindow at 5"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xcopyarea at 1"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 1"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 2"
 
 export PIGLIT_ARGS
 
diff --git a/test/scripts/xinit-piglit-session.sh b/test/scripts/xinit-piglit-session.sh
index 97bf2b9e0..6a51f9650 100755
--- a/test/scripts/xinit-piglit-session.sh
+++ b/test/scripts/xinit-piglit-session.sh
@@ -31,6 +31,8 @@ PIGLIT_ARGS="$PIGLIT_ARGS -x xlistfontswithinfo at 4"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xloadqueryfont at 1"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xqueryfont at 1"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xqueryfont at 2"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 1"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 2"
 # Run as meson unit tests.
 PIGLIT_ARGS="$PIGLIT_ARGS -x rendercheck"
 
diff --git a/test/scripts/xwayland-piglit.sh b/test/scripts/xwayland-piglit.sh
index a898008eb..7c30ecbab 100755
--- a/test/scripts/xwayland-piglit.sh
+++ b/test/scripts/xwayland-piglit.sh
@@ -33,6 +33,8 @@ PIGLIT_ARGS="$PIGLIT_ARGS -x xcleararea at 7"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xclearwindow at 4"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xclearwindow at 5"
 PIGLIT_ARGS="$PIGLIT_ARGS -x xcopyarea at 1"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 1"
+PIGLIT_ARGS="$PIGLIT_ARGS -x xsetfontpath at 2"
 
 export PIGLIT_ARGS
 
commit f9d57d6bcd6021d3278bcf180f6671c53e4e5d85
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 11:20:44 2022 +0200

    test: Fix 'xephr' mis-spelling

diff --git a/test/meson.build b/test/meson.build
index e39f31a40..a8d9e8497 100644
--- a/test/meson.build
+++ b/test/meson.build
@@ -74,7 +74,7 @@ if get_option('xvfb')
             find_program('scripts/xephyr-glamor-piglit.sh'),
             env: piglit_env,
             timeout: 1200,
-            suite: 'xephr-glamor',
+            suite: 'xephyr-glamor',
         )
 
         if rendercheck.found()
@@ -92,7 +92,7 @@ if get_option('xvfb')
                             '--',
                             xvfb_args,
                            ],
-                     suite: 'xephr-glamor',
+                     suite: 'xephyr-glamor',
                      timeout: 300,
                     )
             endforeach
commit c1870bd28470e43dfbd024b6cc3098f2fc421c96
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 10:51:17 2022 +0200

    ci: Always generate artifacts from build jobs
    
    They can be useful also when the job passes.

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index d67caca81..48513be10 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -58,7 +58,7 @@ debian-bullseye:
         - .ci-run-policy
     stage: build-and-test
     artifacts:
-        when: on_failure
+        when: always
         paths:
             - build/meson-logs/
             - build/test/piglit-results/
commit c20437bf4802d64215ec2973881a1adbcf5d7b18
Author: Michel Dänzer <mdaenzer at redhat.com>
Date:   Fri Sep 2 10:33:52 2022 +0200

    ci: Include meson logs in build job artifacts
    
    Can be useful for diagnosing CI issues.

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 9fec8d347..d67caca81 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -60,6 +60,7 @@ debian-bullseye:
     artifacts:
         when: on_failure
         paths:
+            - build/meson-logs/
             - build/test/piglit-results/
     variables:
         CCACHE_COMPILERCHECK: content


More information about the xorg-commit mailing list